package com.ruoyi.mxjb.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校计划计划组对象 b_busi_wish_university_marjors_college
 * 
 * @author mingxue
 * @date 2022-07-22
 */
public class BBusiWishUniversityMarjorsCollege extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 院校 */
    @Excel(name = "院校")
    private Long universityId;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 层次 */
    @Excel(name = "层次")
    private String level;

    /** 科类： 1理科(物理)，0文科(历史), 2文理不分 */
    @Excel(name = "科类： 1理科(物理)，0文科(历史), 2文理不分")
    private Integer liberalScience;

    /** 院校代码 */
    @Excel(name = "院校代码")
    private String collegeCode;

    /** 专业数 */
    @Excel(name = "专业数")
    private Long marjorCount;

    /** 计划数 */
    @Excel(name = "计划数")
    private Long planCount;

    /** 录取最低分 */
    @Excel(name = "录取最低分")
    private Long score;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    private SubmitYearsStats stats;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUniversityId(Long universityId)
    {
        this.universityId = universityId;
    }

    public Long getUniversityId()
    {
        return universityId;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setLiberalScience(Integer liberalScience)
    {
        this.liberalScience = liberalScience;
    }

    public Integer getLiberalScience()
    {
        return liberalScience;
    }
    public void setCollegeCode(String collegeCode) 
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setMarjorCount(Long marjorCount) 
    {
        this.marjorCount = marjorCount;
    }

    public Long getMarjorCount() 
    {
        return marjorCount;
    }
    public void setPlanCount(Long planCount) 
    {
        this.planCount = planCount;
    }

    public Long getPlanCount() 
    {
        return planCount;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setStats(SubmitYearsStats stats) {
        this.stats = stats;
    }

    public SubmitYearsStats getStats() {
        return stats;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("universityId", getUniversityId())
            .append("location", getLocation())
            .append("year", getYear())
            .append("level", getLevel())
            .append("liberalScience", getLiberalScience())
            .append("collegeCode", getCollegeCode())
            .append("marjorCount", getMarjorCount())
            .append("planCount", getPlanCount())
            .append("score", getScore())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .toString();
    }
}
